*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
body{
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    background: #fff;
}
ul{
    position: relative;
    display: flex;
    gap: 40px;
}
ul li{
    position: relative;
    list-style: none;
    width: 120px;
    height: 120px;
    box-shadow: 0 0 20px #999;
    display: flex;
    justify-content: center;
    align-items: center;
}
ul li .fa-brands{
    font-size: 60px;
    color: transparent;
    -webkit-text-stroke: 2px var(--clr);
}
ul li::before{
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    overflow: hidden;
    height: 0;
    border-bottom: 4px solid var(--clr);
    transition: 0.5s;
    font-family: fontawesome;
    text-align: center;
    font-size: 60px;
    line-height: 120px;
    color: var(--clr);
}
ul li:hover::before{
    height: 100%;
}
ul li:nth-child(4)::before{
    content: '\f232';
    
}
ul li:nth-child(3)::before{
   content: "\f167";
   
}
ul li:nth-child(2)::before{
    content: '\f16d';
   
 }
 ul li:nth-child(1)::before{
    content: '\f099';
    
 }
